%{?cygwin32_package_header}
%global __os_install_post %{nil}

Name:		cygwin32-libewf
Version:	20140608
Release:	0%{?dist}
Summary:        Cygwin compiled libewf for the Win64 target.
License:	GPLv2+
Group:		Applications/System
Source0:	libewf-%version.tar.gz
Patch0:		libuna_gcc5.patch
BuildArch:	noarch

BuildRequires:	cygwin32-binutils
BuildRequires:	cygwin32-bzip2
BuildRequires:	cygwin32-filesystem >= 9
BuildRequires:	cygwin32-gcc
BuildRequires:	cygwin32-openssl
BuildRequires:	cygwin32-libiconv
BuildRequires:	cygwin32-zlib
#BuildRequires:  cygwin32-libtool
BuildRequires:  cygwin32-pkg-config

%description
Cygwin compiled libewf.

# % ? cygwin32_debug_package

%prep
%setup -q -n libewf-%{version}
%patch0 -p1

%build
%cygwin32_configure --disable-multi-threading-support
%cygwin32_make %{?_smp_mflags} lib

%install
rm -rf $RPM_BUILD_ROOT
%cygwin32_make install DESTDIR=$RPM_BUILD_ROOT
#chmod 0755 $RPM_BUILD_ROOT%{cygwin32_libdir}/libewf.dll.a
ln -s %{cygwin32_bindir}/cygewf-2.dll $RPM_BUILD_ROOT%{cygwin32_libdir}/cygewf-2.dll

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Drop the man pages
rm -rf $RPM_BUILD_ROOT%{cygwin32_mandir}

%files -n cygwin32-libewf
%{cygwin32_bindir}/cygewf-2.dll
%{cygwin32_libdir}/cygewf-2.dll
%{cygwin32_includedir}/libewf.h
%{cygwin32_includedir}/libewf/codepage.h
%{cygwin32_includedir}/libewf/definitions.h
%{cygwin32_includedir}/libewf/error.h
%{cygwin32_includedir}/libewf/extern.h
%{cygwin32_includedir}/libewf/features.h
%{cygwin32_includedir}/libewf/types.h
%{cygwin32_libdir}/libewf.a
%{cygwin32_libdir}/libewf.dll.a
%{cygwin32_libdir}/pkgconfig/libewf.pc
%{cygwin32_bindir}/ewfacquire.exe
%{cygwin32_bindir}/ewfacquirestream.exe
%{cygwin32_bindir}/ewfdebug.exe
%{cygwin32_bindir}/ewfexport.exe
%{cygwin32_bindir}/ewfinfo.exe
%{cygwin32_bindir}/ewfmount.exe
%{cygwin32_bindir}/ewfrecover.exe
%{cygwin32_bindir}/ewfverify.exe


%changelog
* Mon Aug 15 2016 Christophe GRENIER <grenier@cgsecurity.org> - 20140608-0
- First spec file under cygwin
